cereal::memory_detail::LoadAndConstructLoadWrapper< Archive, T > Struct Template Reference

A struct that acts as a wrapper around calling load_andor_construct. More...

`#include </home/shane/workspace/cereal/include/cereal/types/memory.hpp>`

## Public Member Functions

| LoadAndConstructLoadWrapper (T *ptr)
template<class F >
| LoadAndConstructLoadWrapper (T *ptr, F &&sharedFromThisFunc)
| Constructor for embedding an early call for restoring shared_from_this.
void | CEREAL_SERIALIZE_FUNCTION_NAME (Archive &ar)

## Public Attributes

::cereal::construct< T > | construct

## Detailed Description

### template<class Archive, class T>
struct cereal::memory_detail::LoadAndConstructLoadWrapper< Archive, T >

A struct that acts as a wrapper around calling load_andor_construct.

The purpose of this is to allow a load_and_construct call to properly enter into the 'data' NVP of the ptr_wrapper

The documentation for this struct was generated from the following file:

- /home/shane/workspace/cereal/include/cereal/types/memory.hpp